libvisio::VSDParagraphList Class Reference documentation

Public Member Functions | Private Attributes | List of all members
libvisio::VSDParagraphList Class Reference

`#include <VSDParagraphList.h>`

## Public Member Functions
| VSDParagraphList ()
| VSDParagraphList (const VSDParagraphList &paraList)
| ~VSDParagraphList ()
VSDParagraphList & | operator= (const VSDParagraphList &paraList)
void | addParaIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags)
void | addParaIX (unsigned id, unsigned level, const VSDOptionalParaStyle &style)
unsigned | getCharCount (unsigned id) const
void | setCharCount (unsigned id, unsigned charCount)
void | resetCharCount ()
unsigned | getLevel () const
void | setElementsOrder (const std::vector< unsigned > &m_elementsOrder)
void | handle (VSDCollector *collector) const
void | clear ()
bool | empty () const

## Private Attributes
std::map< unsigned, std::unique_ptr< VSDParagraphListElement > > | m_elements
std::vector< unsigned > | m_elementsOrder

## Constructor & Destructor Documentation

## ◆ VSDParagraphList() [1/2]

libvisio::VSDParagraphList::VSDParagraphList | ( |  | ) |

## ◆ VSDParagraphList() [2/2]

libvisio::VSDParagraphList::VSDParagraphList | ( | const VSDParagraphList & | paraList | ) |

## ◆ ~VSDParagraphList()

libvisio::VSDParagraphList::~VSDParagraphList | ( |  | ) |

## Member Function Documentation

## ◆ addParaIX() [1/2]

void libvisio::VSDParagraphList::addParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDOptionalParaStyle & | style
| ) |  |

## ◆ addParaIX() [2/2]

void libvisio::VSDParagraphList::addParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |

## ◆ clear()

void libvisio::VSDParagraphList::clear | ( |  | ) |

## ◆ empty()

bool libvisio::VSDParagraphList::empty | ( |  | ) | const
| inline

## ◆ getCharCount()

unsigned libvisio::VSDParagraphList::getCharCount | ( | unsigned | id | ) | const

## ◆ getLevel()

unsigned libvisio::VSDParagraphList::getLevel | ( |  | ) | const

## ◆ handle()

void libvisio::VSDParagraphList::handle | ( | VSDCollector * | collector | ) | const

## ◆ operator=()

libvisio::VSDParagraphList & libvisio::VSDParagraphList::operator= | ( | const VSDParagraphList & | paraList | ) |

## ◆ resetCharCount()

void libvisio::VSDParagraphList::resetCharCount | ( |  | ) |

## ◆ setCharCount()

void libvisio::VSDParagraphList::setCharCount | ( | unsigned | id,
|  | unsigned | charCount
| ) |  |

## ◆ setElementsOrder()

void libvisio::VSDParagraphList::setElementsOrder | ( | const std::vector< unsigned > & | m_elementsOrder | ) |

## Member Data Documentation

## ◆ m_elements

std::map<unsigned, std::unique_ptr<VSDParagraphListElement> > libvisio::VSDParagraphList::m_elements
| private

Referenced by empty(), operator=(), and VSDParagraphList().

## ◆ m_elementsOrder

std::vector<unsigned> libvisio::VSDParagraphList::m_elementsOrder
| private

Referenced by operator=().

The documentation for this class was generated from the following files:

- VSDParagraphList.h
- VSDParagraphList.cpp